<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>94502</bug_id>
          
          <creation_ts>2005-05-30 07:17 0000</creation_ts>
          <short_desc>enigma nls broken</short_desc>
          <delta_ts>2005-05-30 12:05:10 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Games</component>
          <version>unspecified</version>
          <rep_platform>x86</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          
          <priority>P2</priority>
          <bug_severity>minor</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>ockham@gmx.net</reporter>
          <assigned_to>games@gentoo.org</assigned_to>
          

      

      
          <long_desc isprivate="0">
            <who>ockham@gmx.net</who>
            <bug_when>2005-05-30 07:17:56 0000</bug_when>
            <thetext>the enigma datadir is modified from within the ebuild, but not in the relevant
place for the files in the src/ directory which are compiled with a -DLOCALEDIR
compile flag set from within src/Makefile.am based upon a datadir=... variable. 
Thus, the ebuild also needs to modify the datadir=... entry in src/Makefile.am
in order to get nls to work properly (otherwise, the program won&apos;t find the
locale files in /usr/share/locale/

--- /usr/portage/games-puzzle/enigma/enigma-0.91.ebuild 2005-05-26
18:51:03.000000000 +0200
+++ /usr/local/portage/games-puzzle/enigma/enigma-0.91.ebuild   2005-05-30
16:07:02.000000000 +0200
@@ -30,6 +30,9 @@
                sed -i \
                        -e &quot;/^datadir/s:=.*:= /usr/share:&quot; po/Makefile.in.in \
                        || die &quot;sed failed&quot;
+                sed -i \
+                        -e &quot;/^datadir/s:=.*:= /usr/share:&quot; src/Makefile.am \
+                        || die &quot;sed failed&quot;
        fi

        # thanks, we&apos;ll handle the doc install ourselves.


BTW, why aren&apos;t we setting the --datadir= ./configure flag instead? This would
change the data and related directories in all relevant source files, wouldn&apos;t it?

Reproducible: Always
Steps to Reproduce:</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>ockham@gmx.net</who>
            <bug_when>2005-05-30 08:49:26 0000</bug_when>
            <thetext>okay, the following should actually be sufficient:

--- /usr/portage/games-puzzle/enigma/enigma-0.91.ebuild 2005-05-26
18:51:03.000000000 +0200
+++ /usr/local/portage/games-puzzle/enigma/enigma-0.91.ebuild   2005-05-30
16:12:57.000000000 +0200
@@ -29,6 +29,7 @@
        if use nls ; then
                sed -i \
                        -e &quot;/^datadir/s:=.*:= /usr/share:&quot; po/Makefile.in.in \
+                       src/Makefile.am \
                        || die &quot;sed failed&quot;
        fi

</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>mr_bones_@gentoo.org</who>
            <bug_when>2005-05-30 12:05:10 0000</bug_when>
            <thetext>Fixed in CVS.  resync/remerge to get the patch. 

Thanks for the bug report and patch.</thetext>
          </long_desc>
      
    </bug>

</bugzilla>